## ispack-ffc5 0.71

=== sample/2D-channel/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = isp
XDIR = /usr/X11R6/lib
XLIB = X11
DCLDIR = /usr/lib/dcl-5.0.1
DCLLIB = dcl

#FC = g77 -O

.SUFFIXES: .f .o .out

clean:
	rm -f *.out
	rm -f *~

.f.out:
	$(FC) $(FFLAGS) $< -L$(LIBDIR) -l$(LIB)  \
	         -L$(XDIR) -l$(XLIB) \
	         -L$(DCLDIR) -l$(DCLLIB) \
	-o $@
